#1614 closed defect (fixed)

rtems_tarfs_load does not work when pipes are enabled

Reported by: Vinu Rajashekhar Owned by: Chris Johns
Priority: normal Milestone: 4.11
Component: fs Version: 4.11
Severity: normal Keywords:
Cc: joel.sherrill@…, vinutheraj@… Blocked By:
Blocking:

Description

rtems_tarfs_load does not work when pipes are enabled. This is because of the if condition -
if (root_loc.ops != &IMFS_ops)

return -1;

When pipes are enabled, RTEMS uses fifoIMFS_ops instead of IMFS_ops, and this is causing the rtems_tarfs_load to fail.

I have attached a patch which fixes the issue.

Attachments (1)

rtems_tarfs_load.patch (1.8 KB) - added by Vinu Rajashekhar on Jul 12, 2010 at 2:57:47 PM.
patch to rtems_tarfs_load and other files, which fixes the issue.

Download all attachments as: .zip

Change History (4)

Changed on Jul 12, 2010 at 2:57:47 PM by Vinu Rajashekhar

Attachment: rtems_tarfs_load.patch added

patch to rtems_tarfs_load and other files, which fixes the issue.

comment:1 Changed on Jul 12, 2010 at 2:58:50 PM by Vinu Rajashekhar

Cc: Vinu Rajashekhar added

comment:2 Changed on Jul 13, 2010 at 8:43:42 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch applied. Closing.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.